aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-02-04 23:05:08 -0200
committerSilvio Rhatto <rhatto@riseup.net>2014-02-04 23:05:08 -0200
commit677a29ae4e3f9111fee7a358a969e4a022895b21 (patch)
tree1eff400c8fffa860d8f5ef4492852c25e4fd9da0
parentbd2421668b884f23f5fb43195b8a86296e9fe1bd (diff)
downloadscripts-677a29ae4e3f9111fee7a358a969e4a022895b21.tar.gz
scripts-677a29ae4e3f9111fee7a358a969e4a022895b21.tar.bz2
Adding lsign script
-rwxr-xr-xlsign25
1 files changed, 25 insertions, 0 deletions
diff --git a/lsign b/lsign
new file mode 100755
index 0000000..e1ceb3d
--- /dev/null
+++ b/lsign
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Locally sign an OpenPGP key.
+#
+
+# Parameters
+BASENAME="`basename $0`"
+NAME="$1"
+set -e
+
+# Syntax check
+if [ -z "$NAME" ]; then
+ echo "usage: $BASENAME <key>"
+ exit 1
+fi
+
+# Optional reason
+read -e -p 'Optional lsignreason notation: ' REASON
+
+# Local signature
+if [ ! -z "$REASON" ]; then
+ gpg --lsign --ask-cert-expire "$NAME"
+else
+ gpg --lsign --cert-notation "lsigreason@notations.openpgp.fifthhorseman.net=${REASON}" --ask-cert-expire "$NAME"
+fi